/**
 * 全局代码错误捕捉
 * 比如 null.length 就会被捕捉到
 */
import i18n from '@/locales'
export default (error, vm)=>{
	//过滤HTTP请求错误
	if(error.status || error.status==0){
		return false
	}

	var errorMap = {
		InternalError: i18n.global.tc('error.JSInternalError'),
		ReferenceError: i18n.global.tc('error.NotFindObjectError'),
		TypeError: i18n.global.tc('error.TypeOrObjectError'),
		RangeError: i18n.global.tc('error.ParamIndexOutOfRangeError'),
		SyntaxError: i18n.global.tc('error.GrammarError'),
		EvalError: i18n.global.tc('error.EvalError'),
		URIError: i18n.global.tc('error.URIError')
	}
	var errorName = errorMap[error.name] || i18n.global.tc('error.UnkownError')

	console.warn(`[RDAdmin error]: ${error}`);
	console.error(errorName, error);
	//throw error;

	vm.$nextTick(() => {
		// vm.$notify.error({
		// 	title: errorName,
		// 	message: error
		// });
	})
}
